Module org.hsqldb
Package org.hsqldb.util

## Class DatabaseManagerSwing

- java.lang.Object
- - java.awt.Component
  - - java.awt.Container
    - - java.awt.Window
      - - java.awt.Frame
        - - javax.swing.JFrame
          - - org.hsqldb.util.DatabaseManagerSwing

- All Implemented Interfaces:
    `java.awt.event.ActionListener`, `java.awt.event.KeyListener`, `java.awt.event.MouseListener`, `java.awt.event.WindowListener`, `java.awt.image.ImageObserver`, `java.awt.MenuContainer`, `java.io.Serializable`, `java.util.EventListener`, `javax.accessibility.Accessible`, `javax.swing.RootPaneContainer`, `javax.swing.WindowConstants`

      public class DatabaseManagerSwing
      extends javax.swing.JFrame
      implements java.awt.event.ActionListener, java.awt.event.WindowListener, java.awt.event.KeyListener, java.awt.event.MouseListener

  Swing Tool for managing a JDBC database.

                   Usage: java DatabaseManagerSwing [--options]
                   where options include:
                    --driver <classname>  jdbc driver class
                    --url <name>          jdbc url
                    --user <name>         username used for connection
                    --password <password> password for this user
                    --dir <path>          default directory
                    --script <file>       reads from script file
                    --urlid <urlid>       get connection info from RC file
                    --rcfile <file>       use instead of default (with urlid)
                    --noexit              Don't exit JVM

  Note that the sys-table switch will not work for Oracle, because Oracle does not categorize their system tables correctly in the JDBC Metadata.
  Since:
    1.7.0
  Author:
    dmarshall@users, Bob Preston (sqlbob@users dot sourceforge.net)
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `DatabaseManagerSwing.DBMPrefs` | Persisted User Preferences for DatabaseManagerSwing.

    - ### Nested classes/interfaces inherited from class java.awt.Window

      `java.awt.Window.Type`

    - ### Nested classes/interfaces inherited from class java.awt.Component

      `java.awt.Component.BaselineResizeBehavior`

  - ### Field Summary

    - ### Fields inherited from class java.awt.Frame

      `CROSSHAIR_CURSOR, DEFAULT_CURSOR, E_RESIZE_CURSOR, HAND_CURSOR, ICONIFIED, MAXIMIZED_BOTH, MAXIMIZED_HORIZ, MAXIMIZED_VERT, MOVE_CURSOR, N_RESIZE_CURSOR, NE_RESIZE_CURSOR, NORMAL, NW_RESIZE_CURSOR, S_RESIZE_CURSOR, SE_RESIZE_CURSOR, SW_RESIZE_CURSOR, TEXT_CURSOR, W_RESIZE_CURSOR, WAIT_CURSOR`

    - ### Fields inherited from class java.awt.Component

      `BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

    - ### Fields inherited from interface java.awt.image.ImageObserver

      `ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

    - ### Fields inherited from interface javax.swing.WindowConstants

      `DISPOSE_ON_CLOSE, DO_NOTHING_ON_CLOSE, EXIT_ON_CLOSE, HIDE_ON_CLOSE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DatabaseManagerSwing()` |
    `DatabaseManagerSwing​(javax.swing.JFrame frameIn)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `actionPerformed​(java.awt.event.ActionEvent ev)` |
    `void` | `connect​(java.sql.Connection c)` | This stuff is all quick, except for the refreshTree().
    `void` | `handlePopup​(java.awt.event.MouseEvent e)` |
    `void` | `keyPressed​(java.awt.event.KeyEvent k)` |
    `void` | `keyReleased​(java.awt.event.KeyEvent k)` |
    `void` | `keyTyped​(java.awt.event.KeyEvent k)` |
    `void` | `main()` |
    `static void` | `main​(java.lang.String[] arg)` | Run with --help switch for usage instructions.
    `void` | `mouseClicked​(java.awt.event.MouseEvent mouseEvent)` |
    `void` | `mouseEntered​(java.awt.event.MouseEvent mouseEvent)` |
    `void` | `mouseExited​(java.awt.event.MouseEvent mouseEvent)` |
    `void` | `mousePressed​(java.awt.event.MouseEvent e)` |
    `void` | `mouseReleased​(java.awt.event.MouseEvent e)` |
    `void` | `setWaiting​(java.lang.String description)` |
    `void` | `start()` |
    `void` | `stop()` |
    `void` | `windowActivated​(java.awt.event.WindowEvent e)` |
    `void` | `windowClosed​(java.awt.event.WindowEvent e)` |
    `void` | `windowClosing​(java.awt.event.WindowEvent ev)` |
    `void` | `windowDeactivated​(java.awt.event.WindowEvent e)` |
    `void` | `windowDeiconified​(java.awt.event.WindowEvent e)` |
    `void` | `windowIconified​(java.awt.event.WindowEvent e)` |
    `void` | `windowOpened​(java.awt.event.WindowEvent e)` |

    - ### Methods inherited from class javax.swing.JFrame

      `getAccessibleContext, getContentPane, getDefaultCloseOperation, getGlassPane, getGraphics, getJMenuBar, getLayeredPane, getRootPane, getTransferHandler, isDefaultLookAndFeelDecorated, remove, repaint, setContentPane, setDefaultCloseOperation, setDefaultLookAndFeelDecorated, setGlassPane, setIconImage, setJMenuBar, setLayeredPane, setLayout, setTransferHandler, update`

    - ### Methods inherited from class java.awt.Frame

      `addNotify, getCursorType, getExtendedState, getFrames, getIconImage, getMaximizedBounds, getMenuBar, getState, getTitle, isResizable, isUndecorated, remove, removeNotify, setBackground, setCursor, setExtendedState, setMaximizedBounds, setMenuBar, setOpacity, setResizable, setShape, setState, setTitle, setUndecorated`

    - ### Methods inherited from class java.awt.Window

      `addPropertyChangeListener, addPropertyChangeListener, addWindowFocusListener, addWindowListener, addWindowStateListener, applyResourceBundle, applyResourceBundle, createBufferStrategy, createBufferStrategy, dispose, getBackground, getBufferStrategy, getFocusableWindowState, getFocusCycleRootAncestor, getFocusOwner, getFocusTraversalKeys, getIconImages, getInputContext, getListeners, getLocale, getModalExclusionType, getMostRecentFocusOwner, getOpacity, getOwnedWindows, getOwner, getOwnerlessWindows, getShape, getToolkit, getType, getWarningString, getWindowFocusListeners, getWindowListeners, getWindows, getWindowStateListeners, hide, isActive, isAlwaysOnTop, isAlwaysOnTopSupported, isAutoRequestFocus, isFocusableWindow, isFocusCycleRoot, isFocused, isLocationByPlatform, isOpaque, isShowing, isValidateRoot, pack, paint, postEvent, removeWindowFocusListener, removeWindowListener, removeWindowStateListener, reshape, setAlwaysOnTop, setAutoRequestFocus, setBounds, setBounds, setCursor, setFocusableWindowState, setFocusCycleRoot, setIconImages, setLocation, setLocation, setLocationByPlatform, setLocationRelativeTo, setMinimumSize, setModalExclusionType, setSize, setSize, setType, setVisible, show, toBack, toFront`

    - ### Methods inherited from class java.awt.Container

      `add, add, add, add, add, addContainerListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalPolicy, getInsets, getLayout, getMaximumSize, getMinimumSize, getMousePosition, getPreferredSize, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, print, printComponents, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusTraversalKeys, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setFont, transferFocusDownCycle, validate`

    - ### Methods inherited from class java.awt.Component

      `action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, contains, contains, createImage, createImage, createVolatileImage, createVolatileImage, disable, dispatchEvent, enable, enable, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBaseline, getBaselineResizeBehavior, getBounds, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphicsConfiguration, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocation, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getSize, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isDoubleBuffered, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, prepareImage, prepareImage, printAll, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resize, resize, revalidate, setComponentOrientation, setDropTarget, setEnabled, setFocusable, setFocusTraversalKeysEnabled, setForeground, setIgnoreRepaint, setLocale, setMaximumSize, setMixingCutoutShape, setName, setPreferredSize, show, size, toString, transferFocus, transferFocusBackward, transferFocusUpCycle`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.awt.MenuContainer

      `getFont, postEvent`

- - ### Constructor Detail

    - #### DatabaseManagerSwing

          public DatabaseManagerSwing()

    - #### DatabaseManagerSwing

          public DatabaseManagerSwing​(javax.swing.JFrame frameIn)

  - ### Method Detail

    - #### main

          public static void main​(java.lang.String[] arg)

      Run with --help switch for usage instructions.
      Parameters:
        `arg` - arguments
      Throws:
        `java.lang.IllegalArgumentException` - for the obvious reason

    - #### connect

          public void connect​(java.sql.Connection c)

      This stuff is all quick, except for the refreshTree(). This unit can be kicked off in main Gui thread. The refreshTree will be backgrounded and this method will return.
      Parameters:
        `c` - Connection

    - #### main

          public void main()

    - #### keyPressed

          public void keyPressed​(java.awt.event.KeyEvent k)

      Specified by:
        `keyPressed` in interface `java.awt.event.KeyListener`

    - #### keyReleased

          public void keyReleased​(java.awt.event.KeyEvent k)

      Specified by:
        `keyReleased` in interface `java.awt.event.KeyListener`

    - #### keyTyped

          public void keyTyped​(java.awt.event.KeyEvent k)

      Specified by:
        `keyTyped` in interface `java.awt.event.KeyListener`

    - #### actionPerformed

          public void actionPerformed​(java.awt.event.ActionEvent ev)

      Specified by:
        `actionPerformed` in interface `java.awt.event.ActionListener`

    - #### windowActivated

          public void windowActivated​(java.awt.event.WindowEvent e)

      Specified by:
        `windowActivated` in interface `java.awt.event.WindowListener`

    - #### windowDeactivated

          public void windowDeactivated​(java.awt.event.WindowEvent e)

      Specified by:
        `windowDeactivated` in interface `java.awt.event.WindowListener`

    - #### windowClosed

          public void windowClosed​(java.awt.event.WindowEvent e)

      Specified by:
        `windowClosed` in interface `java.awt.event.WindowListener`

    - #### windowDeiconified

          public void windowDeiconified​(java.awt.event.WindowEvent e)

      Specified by:
        `windowDeiconified` in interface `java.awt.event.WindowListener`

    - #### windowIconified

          public void windowIconified​(java.awt.event.WindowEvent e)

      Specified by:
        `windowIconified` in interface `java.awt.event.WindowListener`

    - #### windowOpened

          public void windowOpened​(java.awt.event.WindowEvent e)

      Specified by:
        `windowOpened` in interface `java.awt.event.WindowListener`

    - #### windowClosing

          public void windowClosing​(java.awt.event.WindowEvent ev)

      Specified by:
        `windowClosing` in interface `java.awt.event.WindowListener`

    - #### setWaiting

          public void setWaiting​(java.lang.String description)

    - #### start

          public void start()

    - #### stop

          public void stop()

    - #### mouseClicked

          public final void mouseClicked​(java.awt.event.MouseEvent mouseEvent)

      Specified by:
        `mouseClicked` in interface `java.awt.event.MouseListener`

    - #### mouseEntered

          public final void mouseEntered​(java.awt.event.MouseEvent mouseEvent)

      Specified by:
        `mouseEntered` in interface `java.awt.event.MouseListener`

    - #### mouseExited

          public final void mouseExited​(java.awt.event.MouseEvent mouseEvent)

      Specified by:
        `mouseExited` in interface `java.awt.event.MouseListener`

    - #### mousePressed

          public final void mousePressed​(java.awt.event.MouseEvent e)

      Specified by:
        `mousePressed` in interface `java.awt.event.MouseListener`

    - #### mouseReleased

          public final void mouseReleased​(java.awt.event.MouseEvent e)

      Specified by:
        `mouseReleased` in interface `java.awt.event.MouseListener`

    - #### handlePopup

          public final void handlePopup​(java.awt.event.MouseEvent e)